--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: self.body_to_utf(self.decompress_body(partial)) if block_given?
comment: 
- !ruby/struct:SM::Flow::P 
  body: Read chunks from the body until we have at least <em>size</em> bytes, yielding the partial text at each chunk. Return the partial body.
full_name: "::HTTPResponse#partial_body"
is_singleton: false
name: partial_body
params: (size=0, &block) {|self.body_to_utf(self.decompress_body(partial)) if block_given?| ...}
visibility: public
